function [xdot_out] = cnn(t,xin);

%function [xdot_out] = cnn(t,xin);
%                                 .
% returns vector xdot_out, namely x, from the 
% state equations system of a cnn.
%
% This is the simplest ODEFILE for cnn simulation

xout=zeros(2,1);
y1 = 0.5*( abs(xin(1)+1) - abs(xin(1)-1) );
y2 = 0.5*( abs(xin(2)+1) - abs(xin(2)-1) );

xout(1) = -xin(1) + 1.7 * y1 - y2 - 0.3;
xout(2) = -xin(2) + y1 + 1.7 * y2 + 0.3;