function [x,y] = response(a,b,t);

% function [x,y] = response(A,B,C,D,t);
%
% computes the state impulse renspone x(t) to system
%
%   .
%   x = A * x + B * u
%   y = C * x + D * u
%
% with only one input
%
% If no argument input, scrypt will ask for them
%
% If no argument output, plot is carried out
%

if (nargin~=5)
   n = input('dimensione del sistema -> ');
   p = input('numero di ingressi -> ');
   q = input('numero di uscite - > ');
   a = zeros(n);
   b = zeros(n,p);
   c = zeros(q,n);
   d = zeros(q,p);
   a = input('matrice a -> ');
   b = input('matrice b -> ');
   c = input('matrice c -> ');
   d = input('matrice d -> ');
   t = input('intervallo di tempo -> ');
end

[rowt,colt] = size(t);
if (rowt < colt)
   t = t';
end

Ts=t(2)-t(1);
u=zeros(rowt);
u(1:10) = 1/(10*Ts);
lsim(a,b,c,d,u,t);

%t=(0:0.0001:8)';

%Gradino
%u=ones(size(t));
%u(1) = 0;

