function [x] = stat_imp(a,b,t);

% function [x] = stat_imp(A,b,t);
%
% computes the state impulse renspone x(t) to system
%
%   .
%   x = A * x + b * u
%
% with only one input
%
% If no argument input, scrypt will ask for them
%
% If no argument output, plot is carried out
%

if (nargin~=3)
	n = input('dimensione del sistema -> ');
	p = input('numero di ingressi -> ');
	a = zeros(n);
	b = zeros(n,p);
	t = input('intervallo di tempo -> ');
   t = t';
end

[rowt,colt] = size(t);
x=zeros(2,rowt);
[v,l]=eig(a);
vinvb=inv(v)*b;
for i=1:rowt;
   x(:,i)=v*expm(l*t(i))*vinvb;
end

if (nargout==0)
   plot(t,[x'])
end
